Subject: Re: Python extension commands in git - request for policy change

From: "Eric S. Raymond" <[email-masked]>
Date: Sun, 25 Nov 2012 12:44:25 -0500

David Lang <[email-masked]>:
> You may think that C and Bash are poor choices, but that is what the
> community is familar with.

I don't think C is a "poor" choice.  bash, on the other hand...so
many dependencies on tool quirks!

> You are far from the first person to say that git should be
> re-written (or at least large portions of it) in the
> language-of-the-day, and you won't be the last (even, or especially
> if it does get re-written in Python ;-)

I think you're overinterpreting.  Trying for One Big Rewrite in language
X is almost never a good idea and I don't advocate it.  Encouraging people
to migrate pieces as they feel motivated and resdy is a different matter.
-- 
		<a href="http://www.catb.org/~esr/">Eric S. Raymond</a>